<?php
/*
Plugin Name: No BMP Uploads
Plugin URI: https://it.piratenbrandenburg.de/Wordpress/Plugins/
Description: Removing the BMP extension for uploads. The uploading of BMP image files is deactivated because this is not wanted on the internet! The BMP file sizes are usually far too big in most cases.
Version: 0.1
Author: Piraten Brandenburg
Author URI: https://www.piratenbrandenburg.de/
Update Server: https://it.piratenbrandenburg.de/Wordpress/Plugins/
Min WP Version: 4.9
Max WP Version: 4.9
*/

function filter_upload_mimes_types($mime_types) {

    unset($mime_types['bmp']); // removing the bmp extension

    return $mime_types;

}

add_filter('upload_mimes', 'filter_upload_mimes_types', 1, 1);

?>
